import { ApiKeyCredentials, ISO8601, RequestMethod } from "../interface";
/**
 *
 *  @param apiKeyCredentials, 登陆后可获取的用户apiKey
    @param requestPath, 请求路径, get接口需要添加参数，post参数不用添加
    @param method, 请求方法
    @param isoTimestamp, 时间戳
    @param data, 请求参数
 *  @returns string APEX-SIGNATURE 用于请求头进行后台验证
 */
export declare const signRequestSignature: ({ apiKeyCredentials, requestPath, method, isoTimestamp, data, }: {
    apiKeyCredentials: ApiKeyCredentials;
    requestPath: string;
    method: RequestMethod;
    isoTimestamp: ISO8601;
    data?: {};
}) => string;
