import { ApiWithdrawal, PartialBy } from "../interface";
import { KeyPair } from "../";
/**
 * @description post a new withdrawal
 *
 * @param {
 * @amount specifies the size of the withdrawal
 * @asset specifies the asset being withdrawn
 * @clientId specifies the clientId for the address
 * }
 * @param positionId specifies the associated position for the transfer
 */
export declare const createWithdrawal: ({ params, positionId, starkKeyPair, networkId, }: {
    params: PartialBy<ApiWithdrawal, "clientId" | "signature">;
    positionId: string;
    starkKeyPair: KeyPair;
    networkId: number;
}) => Promise<ApiWithdrawal>;
