"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRandomClientId = exports.generateQueryPath = exports.getSymbols = exports.getCurrency = exports.stripHexPrefix = void 0;
const constant_1 = require("../constant");
const query_string_1 = __importDefault(require("query-string"));
function stripHexPrefix(input) {
    if (input.indexOf("0x") === 0) {
        return input.substr(2);
    }
    return input;
}
exports.stripHexPrefix = stripHexPrefix;
const getCurrency = () => {
    return constant_1.qaCurrencyList;
};
exports.getCurrency = getCurrency;
const getSymbols = () => {
    return constant_1.qaSymbolList;
};
exports.getSymbols = getSymbols;
function generateQueryPath(url, params) {
    const definedEntries = Object.entries(params).filter(([_key, value]) => value !== undefined);
    if (!definedEntries.length) {
        return url;
    }
    const paramsString = Object.keys(params).length
        ? query_string_1.default.stringify(params)
        : "";
    return paramsString ? `${url}?${paramsString}` : url;
}
exports.generateQueryPath = generateQueryPath;
function generateRandomClientId() {
    return Math.random().toString().slice(2).replace(/^0+/, "");
}
exports.generateRandomClientId = generateRandomClientId;
